Skip to main content
POST
Create library

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

name
string
required

Library name.

extractorSlug
string
required

Unstructured extractor identifier.

config
Config · object
required

Library configuration.

connectorUuid
string<uuid>
required

Connector identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
folderUuid
string<uuid>

Default folder for synced files.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

library
Library · object
required

Created library details.